In this directory, we provide 3 types of hadoop benchmarks which have been adapted to docker for hadoop-benchmark:
+ default benchmarks in hadoop packages
+ HiBench
+ SWIM (Statistical Workload Injector for Mapreduce)

Furthermore, users can also adapt other new benchmarks to hadoop-benchmark.

In hadoop-benchmark, each benchmark is running in an appropriate docker container which has been configured to connect to the Hadoop cluster supported by hadoop-benchmark.
This architecture can avoid the impact of additional processes (e.g. benchmarks) to the Hadoop cluster as possible.

To achieve this point, we must create a proper docker image for each benchmark with prepared configurations.
And then, users could launch the benchmark container from the images to run their desired experiments on Hadoop cluster.
At last, after the experiments, users should collect the reports or results generated by the benchmarks for continuing analysis.
In summary, users needs 3 steps to adapt a new benchmark to hadoop-benchmark: `create docker image`, `launch docker container`, and `launch benchmark inside container and collect results`.

Here, we'd like to explain this process by using HiBench as example:

1. `create docker image`: under `benchmarks/hibench/image`, there is one file named `Dockerfile`.
Docker engine will create docker image by following the steps specified in this file.
The new docker image should be based on the hadoop image (hadoop-benchmark/hadoop) created by hadoop-benchmark.
This base image (hadoop-benchmark/hadoop) provides the basic services of Ubuntu 14.04 and contains configured hadoop packages.
Users only need to specify the installation and configuration commands of desired benchmarks on Ubuntu OS in the `Dockerfile`, and then docker engine will atomically create the docker image when it's needed.

2. `launch docker container`: under `benchmarks/hibench`, there is one file named `run.sh`.
This file is responsible to set frequently modified parameters of benchmark and launch docker container from the benchmark docker image.

3. `launch benchmark inside container and collect results`: under `benchmarks/hibench/image`, there is also one file named `run.sh`.
This file will be executed immediately inside the benchmark container once the container has been successfully created.
This bash file will launch HiBench firstly (`$HIBENCH_HOME/bin/run-all.sh`) and at last upload the HiBench report to hdfs (Users can easily download these reports to their local laptop by only one command `./cluster. hdfs-download`).

After generating the 3 files (2 `run.sh` and `Dockerfile`), users should be able to try their desired benchmarks on Hadoop cluster of hadoop-benchmark.